commit:     92249693c9aad9426a4931a27e9d3afc0fed3ac5
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 24 21:25:11 2020 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Thu Sep 24 21:25:11 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=92249693

games-rpg/deponia-tcj: New package

Package-Manager: Portage-3.0.6, Repoman-3.0.1
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 games-rpg/deponia-tcj/Manifest                    |  1 +
 games-rpg/deponia-tcj/deponia-tcj-3.3.0156.ebuild | 62 +++++++++++++++++++++++
 games-rpg/deponia-tcj/metadata.xml                |  8 +++
 3 files changed, 71 insertions(+)

diff --git a/games-rpg/deponia-tcj/Manifest b/games-rpg/deponia-tcj/Manifest
new file mode 100644
index 00000000000..7e87b2c04c1
--- /dev/null
+++ b/games-rpg/deponia-tcj/Manifest
@@ -0,0 +1 @@
+DIST DeponiaTCJ_3.3.0156_Full_DEB_DE_EN_FR_IT_RU_PL_Daedalic_ESD.tar.gz 
8283369628 BLAKE2B 
49d7dd83f14c8a79cbf398accab43e325e605728c24d0dcae9dbe2ab838757f0cfa122472cc665f19543e33a931c3debe70489a2b066716771b1d29298eb029f
 SHA512 
77aa0ea4bd137fcb634e88528660920805e1c627df7db7ebc3fa488ff420b004acdaf17973c6bf3414e53e96df4e2ed6bc48e6f31b322e5ae488521a1477e2c0

diff --git a/games-rpg/deponia-tcj/deponia-tcj-3.3.0156.ebuild 
b/games-rpg/deponia-tcj/deponia-tcj-3.3.0156.ebuild
new file mode 100644
index 00000000000..eb2f670cf6b
--- /dev/null
+++ b/games-rpg/deponia-tcj/deponia-tcj-3.3.0156.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop wrapper
+
+MY_PN="Deponia - The Complete Journey"
+DESCRIPTION="The Complete Journey: The first three Deponia point-and-click 
adventures"
+HOMEPAGE="https://www.daedalic.com/deponia";
+SRC_URI="DeponiaTCJ_${PV}_Full_DEB_DE_EN_FR_IT_RU_PL_Daedalic_ESD.tar.gz"
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+RESTRICT="bindist fetch splitdebug strip"
+
+RDEPEND="
+       media-libs/libsdl2[opengl,video]
+       media-libs/openal
+       virtual/opengl
+"
+
+S="${WORKDIR}/${MY_PN}"
+
+DIR="/opt/${PN}"
+QA_PREBUILT="${DIR}/*"
+
+pkg_nofetch() {
+       einfo "Please buy and download ${SRC_URI} from:"
+       einfo "  
https://www.humblebundle.com/store/deponia-the-complete-journey";
+       einfo "and move it to your distfiles directory."
+}
+
+src_prepare() {
+       default
+       rm libs64/libz.so.1 || die
+}
+
+src_install() {
+       exeinto "${DIR}"
+       doexe deponia_tcj
+
+       make_wrapper \
+               ${PN} \
+               "env 
SDL_DYNAMIC_API=\"${EPREFIX}/usr/$(get_libdir)/libSDL2-2.0.so.0\" 
./deponia_tcj" \
+               "${DIR}" \
+               "${DIR}/lib"
+
+       insinto "${DIR}"
+       doins -r \
+                 config.ini \
+                 data{,1,2,3}.vis \
+                 deponia{1,2,3}/ \
+                 lua/ \
+                 version.txt
+
+       exeinto "${DIR}"/lib
+       doexe libs64/*
+
+       make_desktop_entry ${PN} "${MY_PN}" applications-games
+       dodoc readme.txt
+}

diff --git a/games-rpg/deponia-tcj/metadata.xml 
b/games-rpg/deponia-tcj/metadata.xml
new file mode 100644
index 00000000000..26079e608be
--- /dev/null
+++ b/games-rpg/deponia-tcj/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo Games Project</name>
+       </maintainer>
+</pkgmetadata>

Reply via email to